%define major 	  0
%define	libname   %mklibname cinepaint %{major}
%define minor 	  0
%define revision  18

%define ver	%{major}.%{revision}
%define rel	7mdk
%define subver	3

Summary: A tool for manipulating images
Name:          cinepaint
Version:       0.18
Release:       %rel
License:       GPL
Group:	       Graphics
URL:           http://cinepaint.sourceforge.net
Source0:       %{name}-%{version}-%{subver}.tar.bz2
Source1:       icons-%{name}.tar.bz2
Patch0:        cinepaint-0.18-3-gcc341.patch.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}
BuildRequires: libgtk+-devel >= 1.2.8
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: flex
BuildRequires: bison
Obsoletes:     filmgimp
Provides:      filmgimp

%description 
CinePaint is a free open source painting and image retouching program
designed to work best with 35mm film and other high resolution high
dynamic range images. 

The 32-bit per channel color range of CinePaint appeals to 35mm
cinematographers and professional still photographers because film
scanners are capable of greater color bit-depth than can be displayed
on an 8-bit per channel monitor or can be manipulated in typical
programs. However, CinePaint is a general-purpose tool useful for
working on images for motion pictures, print, and the Web. CinePaint
supports many file formats, both conventional formats such as JPEG,
PNG, TIFF, and TGA images -- and more exotic cinema formats such as
Cineon and OpenEXR.


%package -n %libname
Summary:	CinePaint libraries
Group:		System/Libraries
License:	GPL
Provides:	libcinepaint = %version-%release

%description -n %libname
This package contains shared libraries used by CinePaint.

%package -n %{libname}-devel
Summary:	CinePaint plugins and extension development kit
Group:		Development/C
Requires:	%{libname} = %version-%release
Provides:	cinepaint-devel
Provides:	libcinepaint-devel = %version-%release

%description -n %{libname}-devel
Static libraries and header files for writing CinePaint plugins and
extensions.

%prep
%setup -q -n %{name}-%{version}-%{subver}
%patch0 -p1 -b .gcc341

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/cinepaint <<EOF
?package(cinepaint): command="%{_bindir}/cinepaint" \
icon="cinepaint.png" \
section="Multimedia/Graphics" \
title="CinePaint" \
longtitle="A tool for manipulating images" \
needs="x11"
EOF

mkdir -p $RPM_BUILD_ROOT%_iconsdir
tar -xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%dir %_datadir/cinepaint
%dir %_datadir/cinepaint/%ver-%subver
%dir %_libdir/cinepaint
%dir %_libdir/cinepaint/%ver-%subver
%_bindir/cinepaint
%_mandir/man1/cinepaint.1*
%_libdir/cinepaint/%ver-%subver/*
%_datadir/cinepaint/%ver-%subver/*
%_menudir/cinepaint
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%files -n %libname
%defattr(-,root,root,755)
%_libdir/libcinepaint*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,0755)
%_bindir/cinepainttool
%_datadir/aclocal/cinepaint.m4
#%_includedir/*
%_mandir/man1/cinepainttool.1*
%_libdir/*.so
%_libdir/lib*.a
%_libdir/lib*.la

%changelog
* Sat Sep 11 2004  Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-7mdk
- Release: 0.18.3.
- Added fix for compiling with gcc 3.4.1.

* Thu Jan 08 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-6mdk
- Obsoletes filmgimp.

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.18-5mdk
- macro fix
- fix buildrequires

* Fri Sep 05 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-4mdk
- Fixed %%description.

* Fri Sep 05 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-3mdk
- Rebuilt.

* Wed Aug 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-2mdk
- Fixed distriblint DIRM problems.

* Fri Aug 22 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-1mdk
- Initial release.
